<!DOCTYPE html>
<html lang="zh-CN">
    <head>
        <meta charset="UTF-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <title>AJAX POST Method</title>
        <style>
            #result {
                width: 200px;
                height: 100px;
                border: solid 1px #903;
            }
        </style>
    </head>

    <body>
        <div id="result"></div>
        <script>
            //获取元素对象
            const result = document.getElementById("result");
            //绑定事件
            result.addEventListener("mouseover", function () {
                //1. 创建对象
                const xhr = new XMLHttpRequest();

                //2. 初始化：设置请求方法与URL
                xhr.open('POST', 'http://127.0.0.1:8000/server');
                //设置请求头
                xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
                xhr.setRequestHeader('name', 'noname'); // 自定义请求头

                //3. 事件绑定
                xhr.onreadystatechange = function () {
                    //判断
                    if (xhr.readyState === 4) {
                        if (xhr.status >= 200 && xhr.status < 300) {
                            //处理服务端返回的结果
                            result.innerHTML = xhr.response;
                        }
                    }
                };

                //4. 发送
                xhr.send('a=100&b=200&c=300');
                // xhr.send('a:100&b:200&c:300');
                // xhr.send('1233211234567');
            });
        </script>
    </body>
</html>